;/*******************************/;
;/* Demo D/A Convert For ET-EXP4*/;
;/* Files Name  : LAB8-EX2.ASM  */;
;/* CPU Control : MCS51 Family  */;
;/* Assembler   : SXA51.EXE     */;
;/*     (Saw Signal Output)     */;
;/*******************************/;
;
;/* Port For Control DAC
PORT_DAC    EQU     P1                  ; DAC Output

            ORG     0000H               ; Start Monitor
MAIN:       MOV     SP,#128-32          ; Stack = 32 Byte Internal RAM
            ;
LOOP_DAC:   MOV     R2,#0FFH
            MOV     R3,#00H             ; Min Output
LOOP_UP:    MOV     PORT_DAC,R3
            INC     R3
            MOV     R6,#1
            LCALL   DLY_MSEC
            DJNZ    R2,LOOP_UP
            ;
            MOV     R2,#0FFH
            MOV     R3,#0FFH            ; Max Output
LOOP_DN:    MOV     PORT_DAC,R3
            DEC     R3
            MOV     R6,#1
            LCALL   DLY_MSEC
            DJNZ    R2,LOOP_DN
            SJMP    LOOP_DAC


;/*************************/;
;/*  Delay Time : 1 mSec  */;
;/* Input : R6=Time (mSec) */;
;/*************************/;
;
DLY_MSEC:   MOV     R7,#230             ;1 mS Count
DLY_MSEC1:  NOP
            NOP
            DJNZ    R7,DLY_MSEC1
            DJNZ    R6,DLY_MSEC
            RET

            END

