;/*******************************/;
;/* Demo D/A Convert For ET-EXP4*/;
;/* Files Name  : LAB8-EX1.ASM  */;
;/* CPU Control : 68HC811E2     */;
;/* Assembler   : AS11NEW.EXE   */;
;/*     (Saw Signal Output)     */;
;/*******************************/;
;
;/* Port For Control DAC
PORT_DAC    EQU     $1004               ; DAC Output (Port-B)

            ORG     $F800               ; Start Monitor of 68HC811E2
MAIN        LDS     #$FF                ; Stack = Last Internal RAM
            ;
LOOP_DAC    LDAB    #$FF
            CLRA                        ; Min Output = 0V
LOOP_UP     STAA    PORT_DAC
            JSR     DELAY
            INCA
            DECB
            BNE     LOOP_UP
            ;
            LDAB    #$FF
            LDAA    #$FF
LOOP_DN     STAA    PORT_DAC
            JSR     DELAY
            DECA
            DECB
            BNE     LOOP_DN
            BRA     LOOP_DAC

;/*******************/;
;/* Delay Time 1 mS */;
;/*******************/;
;
DELAY       PSHX
            LDX     #$14D               ; 1mS Count
DLY1        DEX
            BNE     DLY1
            PULX
            RTS

            ORG     $FFFE               ; Reset Vector
            FDB     MAIN

            END

